<!--Styles-->
<? $this->headLink()->prependStylesheet(_st('mobile/payment.css')); ?>
<!--/ Styles-->

<!--Scripts-->
<? $this->headScript()->appendFile(_st('mobile/default/payment.js') . "?v=1"); ?>
<!--/Scripts-->

<div class="payment-page__container">
    <div class="payment-form__wrapper">
        <div class="text__row">
            <p class="f-2x text--center"><?= __('enter_amount_agreed_with_sales') ?>:</p>
        </div>

        <div class="payment-method__wrapper">
            <label for="twispay" class="payment-method__item">
                <input id="twispay" <?= $this->paymentMethod == 'twispay' ? 'checked' : '' ?> type="radio"
                       name="paymentMethod" value="twispay"> <?= __('checkout_with_twispay') ?>
            </label>
            <label for="ecardon" class="payment-method__item">
                <input id="ecardon" <?= $this->paymentMethod == 'ecardon' ? 'checked' : '' ?> type="radio"
                       name="paymentMethod" value="ecardon"> <?= __('checkout_with_ecardon') ?>
            </label>
        </div>

        <div class="actions__wrapper">
            <div class="amount__wrapper">
                <input type="text" id="amount-inp" autofocus data-validate="true" data-accept="number" min="0">
                <span class="currency__wrapper">
                    EUR
                </span>
            </div>

            <div class="button__wrapper" id="pay-btn">
                <span><?= __('go_to_payment') ?></span>
            </div>
        </div>

        <div class="text__row">
            <p class="text--small text--center">
                AA Media Services GmbH, Industriestrasse 28, <br>
                9100 Herisau, Switzerland
            </p>
        </div>
    </div>
</div>

<div class="ecardon-popup__wrapper"  style="display:none;">

    <div class="heading">
        <svg xmlns="http://www.w3.org/2000/svg" height="25pt" viewBox="0 0 365.71733 365" width="25pt"><g fill="#fff"><path d="m356.339844 296.347656-286.613282-286.613281c-12.5-12.5-32.765624-12.5-45.246093 0l-15.105469 15.082031c-12.5 12.503906-12.5 32.769532 0 45.25l286.613281 286.613282c12.503907 12.5 32.769531 12.5 45.25 0l15.082031-15.082032c12.523438-12.480468 12.523438-32.75.019532-45.25zm0 0"/><path d="m295.988281 9.734375-286.613281 286.613281c-12.5 12.5-12.5 32.769532 0 45.25l15.082031 15.082032c12.503907 12.5 32.769531 12.5 45.25 0l286.632813-286.59375c12.503906-12.5 12.503906-32.765626 0-45.246094l-15.082032-15.082032c-12.5-12.523437-32.765624-12.523437-45.269531-.023437zm0 0"/></g></svg>
    </div>

    <div id="ecardon-popup" class="ecardon-popup">

    </div>
</div>